aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimothy Gu <timothygu99@gmail.com>2014-06-09 21:46:37 -0700
committerMichael Niedermayer <michaelni@gmx.at>2015-06-10 02:13:10 +0200
commitb73e47a413ae7ed7bdfd1a5ae388f919e7dece30 (patch)
treee60a3dc075c85217b380d7f3685f8b91616371e3
parent2f51865751778ffccb08ddee2afb71b09ead74ab (diff)
downloadffmpeg-b73e47a413ae7ed7bdfd1a5ae388f919e7dece30.tar.gz
tests/fate.sh: report different status for different errors
The order of error codes will be useful in my future fateserver patches. Signed-off-by: Timothy Gu <timothygu99@gmail.com> Signed-off-by: Michael Niedermayer <michaelni@gmx.at> (cherry picked from commit cc0057a31c7097839f9c4e4da61e2933b5b0e055) Signed-off-by: Timothy Gu <timothygu99@gmail.com>
-rwxr-xr-xtests/fate.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/fate.sh b/tests/fate.sh
index a401f9d72b..f7eb068e30 100755
--- a/tests/fate.sh
+++ b/tests/fate.sh
@@ -110,8 +110,8 @@ echo ${version} >version-$slot
rm -rf "${build}" *.log
mkdir -p ${build}
-configure >configure.log 2>&1 || fail $? "error configuring"
-compile >compile.log 2>&1 || fail $? "error compiling"
-fate >test.log 2>&1 || fail $? "error testing"
+configure >configure.log 2>&1 || fail 3 "error configuring"
+compile >compile.log 2>&1 || fail 2 "error compiling"
+fate >test.log 2>&1 || fail 1 "error testing"
report 0 success
clean